<?php

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '消息回复配置',
	'order' => 20,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '网站ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'site'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '站点',
			'default' 	=> '',
			'desc' 		=> '请输入站点',
			'match' 	=> 'is_numeric',
		),
		
		
		'msg1'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '订阅回复消息-用户关注成功时，系统反馈给用户的信息',
			'default' 	=> '',
			'desc' 		=> '请输入订阅回复消息',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),
		
		'msg2'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '默认回复消息-用户输入的信息在关键词自动回复中没有匹配到时，系统反馈给用户的信息',
			'default' 	=> '',
			'desc' 		=> '请输入默认回复消息',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> time(),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),
	
	'auth' => 'site',
	
	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
		'desc' => '用户在关注成功和输入信息时，我们都可以在此设定一下自动回复的消息',
	),
);
