<?php
/**
 * user
 */
 $type = array
(
	1 => '订阅消息',
	2 => '客服消息',
);

return array
(
	# 表名
	'name' => 'message_log',
	# 显示给用户看的名称
	'lang' => '群发消息日志',
	'desc' => '订阅消息因为是直接发送给微信公众平台，所以请点击查看发送状态来查询具体结果，客服消息会每一条发送记录都展示出来。',
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),

		'site'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '站点',
			'default' 	=> '',
			'desc' 		=> '请输入站点',
			'match' 	=> 'is_numeric',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '任务描述',
			'default' 	=> '',
			'desc' 		=> '请输入任务描述',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			//'update'	=> 'text',
			'list'		=> true,
		),
		
		'openid'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '接收人',
			'default' 	=> '',
			'desc' 		=> '接收人',
			'search'	=> 'fulltext',
			'list'		=> 'Dever::load("weixin/user.name", "{openid}")',
			'match' 	=> 'option',
		),
		
		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '发送类型',
			'default' 	=> '1',
			'desc' 		=> '请选择发送类型',
			'match' 	=> 'is_numeric',
			'option' 	=> $type,
			//'update'	=> 'radio',
			'list'		=> true,
		),
		
		'msg'		=> array
		(
			'type' 		=> 'varchar-24',
			'name' 		=> '发送状态',
			'default' 	=> '',
			'desc' 		=> '发送状态',
			'match' 	=> 'is_string',
			'list'		=> true,
		),
		
		'weixin_log'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '微信日志',
			'default' 	=> '',
			'desc' 		=> '微信日志',
			'match' 	=> 'is_string',
			'list'		=> 'table',
			'decode'	=> true,
			'modal'		=> '查看详情',
		),

		'config'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '任务信息',
			'default' 	=> '',
			'desc' 		=> '任务信息',
			'decode'	=> true,
			'match' 	=> 'is_string',
		),

		'message_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '群发任务ID',
			'default' 	=> '',
			'desc' 		=> '群发任务',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			'list'		=>  true,
			//'option' 	=> $message,
		),

		'content_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '消息id',
			'default' 	=> '',
			'desc' 		=> '消息id',
			'match' 	=> 'is_numeric',
			//'update'	=> 'select',
			//'list'		=>  '{message} > 0 ? Dever::load("weixin/content-one#keywords", {message}) : "未选择消息"',
			//'option' 	=> $message,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		//'desc' => '订阅消息：服务号用户每月只能接收4条群发消息，多于4条的群发将对该用户发送失败。 <br />客服消息：每天发送一次，如果发送的用户超过50w，则只能最多发送50w个用户',
	),

	'auth' => 'site',
	
	# request 请求接口定义
	'request' => array
	(
		'info' => array
		(
			# 匹配的正则或函数 必填项
			'where' => array
			(
				'groupid' => 'yes',
				'site' => 'yes',
			),
			'type' => 'one',
		),
	),
);
