<?php

$source = array
(
	0 => '其他',
	3 => '扫二维码',
	17 => '名片分享',
	35 => '搜号码',
	39 => '查询微信公众帐号',
	43 => '图文页右上角菜单',
);

return array
(
	# 表名
	'name' => 'stat_user',
	# 显示给用户看的名称
	'lang' => '用户统计',
	'desc' => '可加入到cron中：stat.user?site=? site后的问号请替换为站点id',
	'order' => 10,
	
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			//'list'		=> true,
		),
		
		'site'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '站点',
			'default' 	=> '',
			'desc' 		=> '请输入站点',
			'match' 	=> 'is_numeric',
		),
		
		'date'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '日期',
			'default' 	=> '',
			'desc' 		=> '请输入日期',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			'search'	=> 'order,fulltext',
			'list'		=> 'date("Y-m-d", {date})',
		),
		
		'user_source'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户的渠道',
			'default' 	=> '',
			'desc' 		=> '用户的渠道',
			'match' 	=> 'option',
			//'update'	=> 'text',
		),

		'new_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '新增的用户量',
			'default' 	=> '',
			'desc' 		=> '请输入新增的用户量',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'list'		=> true,
		),
		
		'cancel_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '取消关注的用户数量',
			'default' 	=> '',
			'desc' 		=> '取消关注的用户数量',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'list'		=> true,
		),
		
		'cumulate_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '总用户量',
			'default' 	=> '',
			'desc' 		=> '总用户量',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'auth' => 'site',

	'manage' => array
	(
		//'desc' => '用于生成二维码的原链接（商品、支付二维码等）太长导致扫码速度和成功率下降，将原长链接通过此接口转成短链接再生成二维码将大大提升扫码速度和成功率。',
	),
	
	# request 请求接口定义
	'request' => array
	(
		'get' => array
		(
			# 匹配的正则或函数 必填项
			'where' => array
			(
				'date' => 'yes',
				'site' => 'yes',
			),
			'type' => 'one',
		),
	),
);
