<?php
/*
|--------------------------------------------------------------------------
| stat.php 统计管理　这里都是cron
|--------------------------------------------------------------------------
*/
namespace Weixin\Src;

use Dever;
use Weixin\Src\Lib\Core;

class Stat
{
	/**
     * 获取user 一天跑一次吧
     * 
     * @return mixed
     */
	public function user()
	{
		$data = Dever::load('weixin/data.stat_user_sum');
		
		if ($data && isset($data['data']) && isset($data['data']['list'])) {
			foreach ($data['data']['list'] as $k => $v) {
				$date = $v['ref_date'];
				unset($v['ref_date']);
				$this->addUser($date, $v);
			}
		}
		
		$data = Dever::load('weixin/data.stat_user_total');
		
		if ($data && isset($data['data']) && isset($data['data']['list'])) {
			foreach ($data['data']['list'] as $k => $v) {
				$date = $v['ref_date'];
				unset($v['ref_date']);
				$this->addUser($date, $v);
			}
		}
	}
	
	private function addUser($date, $data)
	{
		$date = Dever::maketime($date);
		
		$info = Dever::load('weixin/stat_user-get', array('where_date' => $date));
		if ($info) {
			foreach ($data as $k => $v) {
				$send['set_' . $k] = $v;
			}
			$send['where_id'] = $info['id'];
			$send['set_date'] = $date;
			Dever::load('weixin/stat_user-update', $send);
		} else {
			foreach ($data as $k => $v) {
				$send['add_' . $k] = $v;
			}
			$send['add_date'] = $date;
			Dever::load('weixin/stat_user-insert', $send);
		}
	}
}