<?php
/*
|--------------------------------------------------------------------------
| thead.php 文章管理
|--------------------------------------------------------------------------
*/
namespace Weixin\Src;

use Dever;

class Thead
{
	/**
     * 获取链接
     * 
     * @return mixed
     */
	public function link($id = false)
	{
		$id = Dever::input('id', $id);

		$data = $this->info($id);

		return '<a href="' . Dever::url('news?site='.$data['site'].'&id=' . $id, 'weixin') . '" target="_blank">'.$data['name'].'</a>';
	}

	public function info($id = false)
	{
		$id = Dever::input('id', $id);

		$data = Dever::load('weixin/thead-one', $id);

		$data['time'] = Dever::mdate($data['cdate'], 2);

		$data['cdate'] = date("Y-m-d H:i:s", $data['cdate']);

		return $data;
	}
}