<?php

# 数据收集的配置
return array
(
	# 查询多媒体素材是否存在
	'media' => array
	(
		'url' => 'https://api.weixin.qq.com/cgi-bin/material/get_material?', 
		'param' => array
		(
			'access_token' => 'token',
			'media_id' => Dever::input('media_id'),
		),
		# json　传输
		'json' => true,
	),
	
	# 删除多媒体素材
	'media_delete' => array
	(
		'url' => 'https://api.weixin.qq.com/cgi-bin/material/del_material?', 
		'param' => array
		(
			'access_token' => 'token',
			'media_id' => Dever::input('media_id'),
		),
		# json　传输
		'json' => true,
	),
	
	# 新增永久多媒体素材 素材必须是从media类处理的
	'media_add' => array
	(
		'url' => 'https://api.weixin.qq.com/cgi-bin/material/add_material?', 
		'param' => Dever::load('weixin/media.data'),

		# json　传输
		//'json' => true,
	),
	
	# 新增临时多媒体素材 素材必须是从media类处理的
	'media_add_temp' => array
	(
		'url' => 'https://api.weixin.qq.com/cgi-bin/media/upload?', 
		'param' => Dever::load('weixin/media.data'),

		# json　传输
		//'json' => true,
	),
	
	# 新增图文素材
	'media_add_thead' => array
	(
		//'url' => 'https://api.weixin.qq.com/cgi-bin/media/uploadnews?', 
		'url' => 'https://api.weixin.qq.com/cgi-bin/material/add_news?',
		'param' => Dever::load('weixin/media.data_thead'),

		# json　传输
		'json' => true,
	),
	
	# 群发消息时，需要再次上传一次视频
	'media_add_video' => array
	(
		'url' => 'https://api.weixin.qq.com/cgi-bin/media/uploadvideo?', 
		'param' => array
		(
			'access_token' => 'token',
			'media_id' => Dever::input('media_id'),
			'title' => Dever::input('title'),
			'description' => Dever::input('description'),
		),
		# json　传输
		'json' => true,
	),

	# 获取永久素材的信息
	'media_get' => array
	(
		'url' => 'https://api.weixin.qq.com/cgi-bin/material/get_material?', 
		'param' => array
		(
			'access_token' => 'token',
			'media_id' => Dever::input('media_id'),
		),
		# json　传输
		'json' => true,
	),
);