<?php

return array
(
	# 表名
	'name' => 'link',
	# 显示给用户看的名称
	'lang' => '长链转短链',
	'order' => 14,
	'end' => array
	(
		# 生成短链接
		'insert' => 'weixin/code.link',
		
		# 生成短链接
		'update' => 'weixin/code.link',
	),
	
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			//'list'		=> true,
		),
		
		'site'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '站点',
			'default' 	=> '',
			'desc' 		=> '请输入站点',
			'match' 	=> 'is_numeric',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '链接描述',
			'default' 	=> '',
			'desc' 		=> '请输入链接描述',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'order,fulltext',
			'list'		=> true,
		),
		
		'url'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '链接地址',
			'default' 	=> '',
			'desc' 		=> '请输入链接地址',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'short_url'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '短链接',
			'default' 	=> '',
			'desc' 		=> '请输入短链接',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'auth' => 'site',

	'manage' => array
	(
		'desc' => '用于生成二维码的原链接（商品、支付二维码等）太长导致扫码速度和成功率下降，将原长链接通过此接口转成短链接再生成二维码将大大提升扫码速度和成功率。',
	),
);
