<?php
/*
|--------------------------------------------------------------------------
| account.php 客服消息
|--------------------------------------------------------------------------
*/
namespace Weixin\Src;

use Dever;
use Weixin\Src\Lib\Core;

class Account
{
	/**
     * 获取要发送消息的按钮
     * 
     * @return mixed
     */
	public function button($id)
	{
		# 查找消息是否存在
		$info = Dever::load('weixin/usermsg-one', $id);

		$time = time();
		
		$key = 'kf_' . $id;
		
		$kf = '<script>
		var '.$key.' = function()
		{
			var content = $("#'.$key.'_content").val();
			if(!content)
			{
				alert("请输入回复内容");
				return;
			}
			$.post("'.Dever::url('weixin/message.send').'", {id:'.$id.',content:content}, function(t)
			{
				alert("已发送成功");
				$("#DEVER_modal_no").click();
			})
		}
		
		</script>';
		
		$kf .= '<a href="#DEVER_modal" data-toggle="modal" onclick="showMsg(\'客服回复\', $(this), \'#'.$key.'\', '.$key.');">客服回复</a><div style="display:none;" id="'.$key.'"><span>快捷回复[<a href="'.Dever::url('message?id=' . $id, 'weixin').'" target="_blank">进入聊天模式</a>]：</span><textarea type="text" class="form-control" style="width:100%;height:200px;" id="'.$key.'_content" name="'.$key.'_content"></textarea></div>';

		if ($info && $time - $info['ctime'] >= 48*3600) {
			//return $kf;
			return '超过48小时';
		} elseif ($info && strpos($info['reply'], '客服') !== false) {
			return $kf;
		} elseif ($info && $info['type'] == 'MASSSENDJOBFINISH') {
			return '系统消息无需回复';
		} else {
			return '已自动回复，' . $kf;
		}
	}
	
	/**
     * 图文素材的param拼装
     * 
     * @return mixed
     */
	private function thead_param($mid, $title, $content, $url, $desc, $author, $cover)
	{
		$data = array
		(
            'thumb_media_id' => $mid,
            'author'=> $author,
            'title'=> $title,
            'content_source_url'=> $url,
            'content'=> $content,
            'digest' => $desc,
            'show_cover_pic'=> $cover,
        );

		return $data;
	}
}