<?php
/*
|--------------------------------------------------------------------------
| menu.php 菜单管理
|--------------------------------------------------------------------------
*/
namespace Weixin\Src;

use Dever;
use Weixin\Src\Lib\Core;

class Menu
{
	/**
     * 获取所有菜单
     * 
     * @return mixed
     */
	public function create()
	{
		$data = Dever::load('weixin/menu-all');
		
// 		print_r($data);die;
		
		$menu = $data['-1'];
		unset($data['-1']);
		
		$i = 0;
		foreach ($menu as $k => $v) {
			if (isset($data[$v['id']])) {
				$param[$i] = $this->param($v, false);
				foreach ($data[$v['id']] as $ki => $vi) {
					$param[$i]['sub_button'][] = $this->param($vi);
				}
			} else {
				$param[$i] = $this->param($v);
			}
			$i++;
		}
		
 		//print_r($param);
		Dever::$global['base']['temp_menu']['access_token'] = 'token';
		Dever::$global['base']['temp_menu']['button'] = $param;
		
		$site     = Dever::load('manage/auth.getTop', 'weixin-site');
		Dever::setInput('site', $site['value']);
		
		//echo $site['value'];die;

		$data = Dever::load('weixin/data.menu_create');
		
		if (Dever::input('debug') == 1) {
			print_r($data);die;
		}
		
		Dever::out('ok');
	}
	
	/**
     * 拼装参数
     * 
     * @return mixed
     */
	private function param($info, $state = true)
	{
		if ($state == true) {
			$param = array
			(
				'type' => $info['type'],
				'name' => $info['name'],
				'key' => $info['id'],
				'url' => $info['url']
			);
		} else {
			$param = array
			(
				'name' => $info['name'],
			);
		}
		
		return $param;
	}
	
	/**
     * 菜单数据
     * 
     * @return mixed
     */
	public function data()
	{
		return isset(Dever::$global['base']['temp_menu']) ? Dever::$global['base']['temp_menu'] : array();
	}
}